summaryrefslogtreecommitdiff
path: root/tests/guix-environment.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/guix-environment.sh')
-rw-r--r--tests/guix-environment.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/tests/guix-environment.sh b/tests/guix-environment.sh
index 08c97cbb65..32faf71a4e 100644
--- a/tests/guix-environment.sh
+++ b/tests/guix-environment.sh
@@ -39,6 +39,14 @@ test "`wc -l < "$tmpdir/a"`" = 1
cmp "$tmpdir/a" "$tmpdir/b"
+# Make sure the exit value is preserved.
+if guix environment --ad-hoc guile-bootstrap --pure -E 'guile -c "(exit 42)"'
+then
+ false
+else
+ test $? = 42
+fi
+
if guile -c '(getaddrinfo "www.gnu.org" "80" AI_NUMERICSERV)' 2> /dev/null
then
# Compute the build environment for the initial GNU Make.